import type { Plugin, CSSProperties } from "vue";
import * as _components from "./components";
export declare const components: typeof _components;
export declare const RAppbar: any;
export declare const RDrawer: any;
export declare const RMain: any;
export declare const RIcon: any;
export declare const RList: any;
export declare const RSelect: any;
export declare const RBtn: any;
export declare const RTable: any;
export declare const RSearchbar: any;
export declare const RCheckbox: any;
export declare const RTextfield: any;
export declare function createVrame(vrameConfig?: VrameConfig): Plugin;
declare const Vrame: {
    createVrame: typeof createVrame;
    components: typeof _components;
};
export default Vrame;
export * from "./components";
export interface VrameConfig {
    components?: Plugin[];
}
export interface IIComponentSpinner {
    onSpin: () => void;
    offSpin: () => void;
    isOpen: boolean;
}
export declare type TSList = {
    listStyle?: CSSProperties;
    icon?: {
        icon: string;
        color: string;
    };
    title?: string;
    hoverColor?: string;
    hoverBgColor?: string;
    link?: boolean;
    to?: string;
    children?: TSList[];
    click?: (...args: any[]) => any;
};
export interface ISTableStyles {
    tableStyle?: CSSProperties;
    tHeaderStyle?: CSSProperties;
    tBodyStyle?: CSSProperties;
    thStyle?: (idx: number) => CSSProperties;
    trStyle?: (idx: number) => CSSProperties;
    columnStyle?: (idx: number) => CSSProperties;
    tdStyle?: (ridx: number, cidx: number) => CSSProperties;
}
export interface TValue {
    text: string;
    value: any;
}
